
data Furniture;
  input YearNo1 YearNo2 Desk1 Chair1 Sofa1 Bed1 Table1 Desk2 Chair2 Sofa2 Bed2 Table2;
  format Desk1 Chair1 Sofa1 Bed1 Table1 Desk2 Chair2 Sofa2 Bed2 Table2 dollar8.;
  datalines;
-0.15 0.15 35000 20000 15000 12000 5000 32000 14000 10000 7000 2000
0.85 1.15 30000 25000 12000 10000 2000 25000 20000 7000 5000 1500
1.85 2.15 32000 26000 17000 14000 8000 27000 21000 12000 9000 1300
2.85 3.15 35000 28000 20000 16000 2000 30000 23000 15000 11000 1500
3.85 4.15 32000 25000 16000 16000 2200 27000 20000 11000 11000 1700
;
run;

proc format;
	value furniture
	0="Desk"
	1="Chair"
	2="Sofa"
	3="Bed"
	4="Table"
	;

proc template;
  define statgraph ClusterBars;
    begingraph;
	  entrytitle 'Furniture sales';
	  layout overlay / cycleattrs=true 
					   yaxisopts=(display=(line ticks tickvalues) offsetmin=0 offsetmax=0 tickstyle=across linearopts=( viewmin=0 viewmax=40000 ))
                       xaxisopts=(display=(line tickvalues) linearopts=(tickvalueformat=furniture.))
					   ;

		referenceline y=10000 / lineattrs=(thickness=1.5 color=black);
		referenceline y=20000 / lineattrs=(thickness=1.5 color=black);
		referenceline y=30000 / lineattrs=(thickness=1.5 color=black);
		referenceline y=40000 / lineattrs=(thickness=1.5 color=black);

	    needleplot x=yearNo1 y=Desk1  / lineattrs=(thickness=30px color=CXA41D22 pattern=solid) name='Desk1' legendlabel='Desk1';
	    needleplot x=yearNo2 y=Desk2  / lineattrs=(thickness=30px color=CX0076BD pattern=solid) name='Desk2' legendlabel='Desk2';
	    needleplot x=yearNo1 y=Chair1  / lineattrs=(thickness=30px color=CXEEAF00 pattern=solid) name='Chair1' legendlabel='Chair1';
	    needleplot x=yearNo2 y=Chair2  / lineattrs=(thickness=30px color=CXBCBEC0 pattern=solid) name='Chair2' legendlabel='Chair2';
		needleplot x=yearNo1 y=Sofa1  / lineattrs=(thickness=30px color=CX2A8307 pattern=solid) name='Sofa1' legendlabel='Sofa1';
	    needleplot x=yearNo2 y=Sofa2  / lineattrs=(thickness=30px color=CXA05000 pattern=solid) name='Sofa2' legendlabel='Sofa2';
		needleplot x=yearNo1 y=Bed1  / lineattrs=(thickness=30px color=CXB090D0 pattern=solid) name='Bed1' legendlabel='Bed1';
	    needleplot x=yearNo2 y=Bed2  / lineattrs=(thickness=30px color=CXE0A860 pattern=solid) name='Bed2' legendlabel='Bed2';
		needleplot x=yearNo1 y=Table1  / lineattrs=(thickness=30px color=CX3883A8 pattern=solid) name='Table1' legendlabel='Table1';
	    needleplot x=yearNo2 y=Table2  / lineattrs=(thickness=30px color=CX700000 pattern=solid) name='Table2' legendlabel='Table2';

		discretelegend 'Desk1' 'Desk2' 'Chair1' 'Chair2' 'Sofa1' 'Sofa2' 'Bed1' 'Bed2' 'Table1' 'Table2'  
			/border=false halign=left order=columnmajor down=2 valign=bottom;
	  endlayout;
	endgraph;
  end;
run;

proc sgrender data=Furniture template=ClusterBars; run;
